Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ObjectMarshallerRegisterer

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ObjectMarshallerRegisterer

    @SuppressWarnings("rawtypes")
    public class ObjectMarshallerRegisterer

A Spring Bean that can be used to register an ObjectMarshaller.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Method Summary
`java.lang.Class` | `getConverterClass()`
`ObjectMarshaller` | `getMarshaller()`
`int` | `getPriority()`
`void` | `setConverterClass(java.lang.Class converterClass)`
`void` | `setMarshaller(ObjectMarshaller marshaller)`
`void` | `setPriority(int priority)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getConverterClass

    public java.lang.Class getConverterClass()

### getMarshaller

    public ObjectMarshaller getMarshaller()

### getPriority

    public int getPriority()

### setConverterClass

    public void setConverterClass(java.lang.Class converterClass)

### setMarshaller

    public void setMarshaller(ObjectMarshaller marshaller)

### setPriority

    public void setPriority(int priority)

Groovy Documentation